tigase.util

## Class RepositoryUtils

- java.lang.Object
- - tigase.util.RepositoryUtils

-     public class RepositoryUtils
      extends Object

  Describe class RepositoryUtils here. Created: Sat Oct 28 13:09:26 2006
  Version:
    $Rev$
  Author:
    Artur Hefczyc

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RepositoryUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `checkContact(tigase.xmpp.BareJID user, UserRepository repo, String cont)` Method description
    `static void` | `copyNode(tigase.xmpp.BareJID user, String node, UserRepository src, UserRepository dst)` Method description
    `static void` | `copyRepositories(UserRepository src, AuthRepository dst)` Method description
    `static void` | `copyRepositories(UserRepository src, UserRepository dst)` Method description
    `static void` | `copyUser(tigase.xmpp.BareJID user, UserRepository src, AuthRepository dst)` Method description
    `static void` | `copyUser(tigase.xmpp.BareJID user, UserRepository src, UserRepository dst)` Method description
    `static void` | `exportRoster(UserRepository repo, Writer w)` Method description
    `static void` | `exportUserRoster(tigase.xmpp.BareJID user, UserRepository repo, Writer w)` Method description
    `static void` | `loadTestData(UserRepository repo)` Method description
    `static void` | `main(String[] args)` Describe `main` method here.
    `static void` | `parseParams(String[] args)` Method description
    `static void` | `printNode(tigase.xmpp.BareJID user, UserRepository repo, String prefix, String node)` Method description
    `static void` | `printRepoContent(UserRepository repo)` Method description
    `static void` | `removeTestData(UserRepository repo)` Method description
    `static void` | `repairRoster(UserRepository repo)` Method description
    `static void` | `repairUserRoster(tigase.xmpp.BareJID user, UserRepository repo)` Method description
    `static void` | `simpleTest(UserRepository repo)` Method description
    `static void` | `userAddTest(UserRepository re)` Method description

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RepositoryUtils

          public RepositoryUtils()

  - ### Method Detail

    - #### checkContact

          public static boolean checkContact(tigase.xmpp.BareJID user,
                             UserRepository repo,
                             String cont)
                                      throws Exception

      Method description
      Parameters:
        `user` -
        `repo` -
        `cont` -
      Throws:
        `Exception`

    - #### copyNode

          public static void copyNode(tigase.xmpp.BareJID user,
                      String node,
                      UserRepository src,
                      UserRepository dst)
                               throws Exception

      Method description
      Parameters:
        `user` -
        `node` -
        `src` -
        `dst` -
      Throws:
        `Exception`

    - #### copyRepositories

          public static void copyRepositories(UserRepository src,
                              UserRepository dst)
                                       throws Exception

      Method description
      Parameters:
        `src` -
        `dst` -
      Throws:
        `Exception`

    - #### copyRepositories

          public static void copyRepositories(UserRepository src,
                              AuthRepository dst)
                                       throws Exception

      Method description
      Parameters:
        `src` -
        `dst` -
      Throws:
        `Exception`

    - #### copyUser

          public static void copyUser(tigase.xmpp.BareJID user,
                      UserRepository src,
                      UserRepository dst)
                               throws Exception

      Method description
      Parameters:
        `user` -
        `src` -
        `dst` -
      Throws:
        `Exception`

    - #### copyUser

          public static void copyUser(tigase.xmpp.BareJID user,
                      UserRepository src,
                      AuthRepository dst)
                               throws Exception

      Method description
      Parameters:
        `user` -
        `src` -
        `dst` -
      Throws:
        `Exception`

    - #### exportRoster

          public static void exportRoster(UserRepository repo,
                          Writer w)
                                   throws Exception

      Method description
      Parameters:
        `repo` -
        `w` -
      Throws:
        `Exception`

    - #### exportUserRoster

          public static void exportUserRoster(tigase.xmpp.BareJID user,
                              UserRepository repo,
                              Writer w)
                                       throws Exception

      Method description
      Parameters:
        `user` -
        `repo` -
        `w` -
      Throws:
        `Exception`

    - #### loadTestData

          public static void loadTestData(UserRepository repo)
                                   throws Exception

      Method description
      Parameters:
        `repo` -
      Throws:
        `Exception`

    - #### main

          public static void main(String[] args)
                           throws Exception

      Describe `main` method here.
      Parameters:
        `args` - a `String[]` value
      Throws:
        `Exception`

    - #### parseParams

          public static void parseParams(String[] args)
                                  throws tigase.util.TigaseStringprepException

      Method description
      Parameters:
        `args` -
      Throws:
        `TigaseStringprepException`

    - #### printNode

          public static void printNode(tigase.xmpp.BareJID user,
                       UserRepository repo,
                       String prefix,
                       String node)
                                throws Exception

      Method description
      Parameters:
        `user` -
        `repo` -
        `prefix` -
        `node` -
      Throws:
        `Exception`

    - #### printRepoContent

          public static void printRepoContent(UserRepository repo)
                                       throws Exception

      Method description
      Parameters:
        `repo` -
      Throws:
        `Exception`

    - #### removeTestData

          public static void removeTestData(UserRepository repo)
                                     throws Exception

      Method description
      Parameters:
        `repo` -
      Throws:
        `Exception`

    - #### repairRoster

          public static void repairRoster(UserRepository repo)
                                   throws Exception

      Method description
      Parameters:
        `repo` -
      Throws:
        `Exception`

    - #### repairUserRoster

          public static void repairUserRoster(tigase.xmpp.BareJID user,
                              UserRepository repo)
                                       throws Exception

      Method description
      Parameters:
        `user` -
        `repo` -
      Throws:
        `Exception`

    - #### simpleTest

          public static void simpleTest(UserRepository repo)
                                 throws Exception

      Method description
      Parameters:
        `repo` -
      Throws:
        `Exception`

    - #### userAddTest

          public static void userAddTest(UserRepository re)
                                  throws Exception

      Method description
      Parameters:
        `re` -
      Throws:
        `Exception`

Copyright © 2014 "Tigase, Inc.". All rights reserved.